<?php
	if($StrCmd=="M" && strlen($StrGT)==0){
		$LStrMsg="";
		if(strlen($StrIdCliente)==0) $StrIdCliente="0";
		if (is_numeric($StrIdCliente)==false) $StrIdCliente="0";
		ejt("DELETE FROM cotizaciones WHERE id_cotizacion=$StrId");
		ejt("DELETE FROM cotizaciones_det WHERE id_cotizacion=$StrId");
		$LStrMsg="Los datos han sido modificados";
		$StrGT="";
		$StrCmd="G";
	}
	//	
	if($StrCmd=="G" && strlen($StrGT)==0){	
		$StrCom_=gn("id_comprobante","comprobantes","com_nombre='$StrCom'");
		if($StrN_AUTO=="1"){
			COTI_GEN_SER_NUM_MAX($StrAlm_,$StrCom_,$StrSer,$StrNum);		
		}
		$StrFec_=ToDate($StrFec);
		$iStrSer=0;
		$iStrNum=0;		
		if(is_numeric($StrSer) && strlen($StrSer)>0)$iStrSer=$StrSer * 1;
		if(is_numeric($StrNum) && strlen($StrNum)>0)$iStrNum=$StrNum * 1;
		if(gn("count(*)","cotizaciones","iser=$iStrSer AND inum=$iStrNum AND id_alm=$StrAlm_")>0){
			$LStrMsg="Almacen,serie y numero ya registrados";
			$LStrFoc="document.getElementById('TxtSer').focus();";						
			$StrGT="S";		
		}
	}
	if($StrCmd=="G" && strlen($StrGT)==0){	
		$GII=GenGI();
		$StrId=GenId("id_cotizacion","cotizaciones");
		$s="INSERT INTO cotizaciones VALUES ($StrId,$StrAlm_,'$StrFec_',$StrCom_,
		   '$StrSer','$StrNum',$StrIdCliente,$StrTC,'$StrN_INC',$StrTotal,$iStrSer,
		   $iStrNum,0,'$StrMon_','N',$GII,'$StrNPed','$StrContacto')";
	 	ejt($s);
		ejt("DELETE FROM cotizaciones_det WHERE id_cotizacion=$StrId");
		$s="SELECT * FROM temp_compras WHERE cod_temc='$StrHWND_COT' ORDER BY temc_index";
		$result = grs($s);			
		$cx=0;			
		while ($row = $result->fetch_row()){
			$cx++;
			$G_ID=$row[1];
			$G_CA=$row[2];
			$G_PR=$row[3];
			$G_IM=$row[4];
			$G_DT=$row[8];
			$G_CO=$row[6];
			$G_DE=$row[7];
			$ss="INSERT INTO cotizaciones_det VALUES ($StrId,
				$cx,$G_ID,$G_CA,$G_PR,$G_IM,$G_DT,'$G_CO','$G_DE')";
			ejt($ss);
		}
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_COT'");		
		if(strlen($LStrMsg)==0){
			$LStrMsg="Los datos han sido registrado: $StrCom : $StrSer - $StrNum";
		}
		$LStrFoc="document.getElementById('CboAlm').focus();";						
		$StrGT="S";
		$CLS="S";
		$StrNew="NO";	
	}
?>